<div fxLayout="column" fxLayoutAlign="space-around stretch" > 
    <mat-card fxShow="true" fxHide.lt-md>
  <form fxShow="true" fxHide.lt-md #registerForm="ngForm" (ngSubmit)="register()">
    <div fxLayout="column" fxLayoutAlign="space-between center">
      <mat-form-field>
        <input
          matInput
          type="text"
          placeholder="user name"
          name="username"
          id="username"
          [(ngModel)]="user.username"
          required
        />
      </mat-form-field>
      <mat-form-field>
        <input
          matInput
          type="password"
          placeholder="password"
          name="password"
          id="password"
          [(ngModel)]="user.password"
          required
        />
      </mat-form-field>
      <button mat-button type="submit" [disabled]="!registerForm.form.valid">
        Register
      </button>
    </div>
  </form>
</mat-card>
</div>
